Summary: Generates and restores mask files.
Name: rhmask
Version: 1.2
Release: 2
License: GPL
Group: Applications/System
Source: rhmask-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The rhmask utility creates mask files from original and updated files.
The mask files, which may be the latest new versions of software, can
then be freely distributed on public Internet servers. The mask files
are only useful for people who who already have a copy of the original
package.  The rhmask utility uses a simple XOR scheme for creating the
file mask and uses file size and md5 sums to ensure the integrity of
the result.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/rhmask
%{_mandir}/man1/rhmask.*

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2-1
- open output files with O_EXCL, so that we don't overwrite any files which
  already exist cases the user tries to generate an outfile using a bogus
  maskfile, spotted by Andrew Griffiths

* Wed Dec  5 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1-1
- Change Copyright: to License:
- mmap() output files with read permissions in addition to write permissions
  optimized memcpy() implementations may read from the destination buffer

* Wed Apr 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0-10
- Clarify the man page (#6977)
- Sync summary/description with specspo
- use %%{_tmppath}

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root
